### Virtual Method

# Adw Swipeableget_swipe_area

#### Declaration [src]

    void
    get_swipe_area (
      AdwSwipeable* self,
      AdwNavigationDirection navigation_direction,
      gboolean is_drag,
      GdkRectangle* rect
    )

#### Description [src]

Gets the area `self` can start a swipe from for the given direction and gesture type.

This can be used to restrict swipes to only be possible from a certain area, for example, to only allow edge swipes, or to have a draggable element and ignore swipes elsewhere.

If not implemented, the default implementation returns the allocation of `self`, allowing swipes from anywhere.

#### Parameters

`navigation_direction`

  Type: `AdwNavigationDirection`

  The direction of the swipe.

`is_drag`

  Type: `gboolean`

  Whether the swipe is caused by a dragging gesture.

`rect`

  Type: `GdkRectangle`

  A pointer to a rectangle to store the swipe area.

  The argument will be set by the function.
  The returned data is owned by the instance.